### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions | Protected Attributes
RecursiveCdoEngine< CDOEngine, copulaT > Class Template Reference

`#include <ql/experimental/credit/recursivecdoengine.hpp>`

Inherits CDOEngine.

List of all members.

## Public Member Functions

| RecursiveCdoEngine (const Handle< Quote > &correl, Size nbuckets=1, Size quadOrder=20)
| Single correlation construction.
| RecursiveCdoEngine (const Handle< Quote > &correl, const Matrix &correlMtrx, Size nbuckets=1, Size quadOrder=20)
| Correlation name to name single factor construction.
void | update ()
Real | expectedTrancheLoss (const Date &date) const

## Protected Member Functions

void | initialize () const

## Protected Attributes

const Handle< Quote > | correlQuote_
RelinkableHandle< copulaT > | copula_

## Detailed Description

### template<class CDOEngine, class copulaT>
class QuantLib::RecursiveCdoEngine< CDOEngine, copulaT >

Recursive STCDO pricing for a heterogeneous pool of names. The pool names are heterogeneous in their default probabilities, notionals and recovery rates. Correlations are pairwise. The recursive pricing algorithm used here is described in Andersen, Sidenius and Basu; "All your hedges in one basket", Risk, November 2003, pages 67-72

Notice that using copulas other than Gaussian it is only an approximation (see remark on p.68).